Xalan-Java 2.7.1: Class NthIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class NthIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.NthIterator

public final class NthIterator
extends DTMAxisIteratorBase

Constructor Summary
`NthIterator(DTMAxisIterator source, int n)`

Method Summary
`DTMAxisIterator` | `cloneIterator()`
`int` | `getLast()`
`int` | `getPosition()`
`void` | `gotoMark()`
`int` | `next()`
`DTMAxisIterator` | `reset()`
`void` | `setMark()`
`void` | `setRestartable(boolean isRestartable)`
`DTMAxisIterator` | `setStartNode(int node)`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`getAxis, getNodeByPosition, getStartNode, includeSelf, isDocOrdered, isReverse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NthIterator

    public NthIterator(DTMAxisIterator source,
                       int n)

Method Detail

### setRestartable

    public void setRestartable(boolean isRestartable)

  Overrides:
    setRestartable in class DTMAxisIteratorBase

### cloneIterator

    public DTMAxisIterator cloneIterator()

  Overrides:
    cloneIterator in class DTMAxisIteratorBase

### next

    public int next()

### setStartNode

    public DTMAxisIterator setStartNode(int node)

### reset

    public DTMAxisIterator reset()

  Overrides:
    reset in class DTMAxisIteratorBase

### getLast

    public int getLast()

  Overrides:
    getLast in class DTMAxisIteratorBase

### getPosition

    public int getPosition()

  Overrides:
    getPosition in class DTMAxisIteratorBase

### setMark

    public void setMark()

### gotoMark

    public void gotoMark()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.